
> @hexlet/html-tags@1.0.0 documentation /home/stas/Work/hexlet/hexlet-components/js-html-tags
> documentation "build" "index.js" "-f" "md"

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [make][1]
    -   [Parameters][2]
    -   [Examples][3]
-   [append][4]
    -   [Parameters][5]
    -   [Examples][6]
-   [node][7]
    -   [Parameters][8]
    -   [Examples][9]
-   [getName][10]
    -   [Parameters][11]
    -   [Examples][12]
-   [getValue][13]
    -   [Parameters][14]
    -   [Examples][15]
-   [is][16]
    -   [Parameters][17]
    -   [Examples][18]
-   [hasChildren][19]
    -   [Parameters][20]
    -   [Examples][21]
-   [children][22]
    -   [Parameters][23]
    -   [Examples][24]
-   [addChild][25]
    -   [Parameters][26]
    -   [Examples][27]
-   [toString][28]
    -   [Parameters][29]
    -   [Examples][30]
-   [map][31]
    -   [Parameters][32]
    -   [Examples][33]
-   [filter][34]
    -   [Parameters][35]
    -   [Examples][36]
-   [reduce][37]
    -   [Parameters][38]
    -   [Examples][39]

## make

Make a list of nodes

### Parameters

-   `elements` **...any** 

### Examples

```javascript
make(node('span', 'hello'), node('span', 'world'));
```

## append

Append node to a list of nodes

### Parameters

-   `dom`  
-   `element`  

### Examples

```javascript
const dom = make();
append(dom, node('h2', 'hello, world'));
```

## node

Make a node

### Parameters

-   `tag`  
-   `mix`   (optional, default `data.l()`)

### Examples

```javascript
node('h2', 'hello, world');
node('div', l(node('p', 'one'), node('p', 'two')));
```

## getName

Get node's name

### Parameters

-   `element`  

### Examples

```javascript
getName(node('p', 'hello, world')); // p
```

## getValue

Get node's value

### Parameters

-   `element`  

### Examples

```javascript
getValue(node('p', 'hello, world')); // hello, world
```

## is

Check if node is tag

### Parameters

-   `tagName`  
-   `element`  

### Examples

```javascript
is('h3', node('h3', 'hexlet')); // true
is('h3', node('h6', 'hexlet')); // false
```

## hasChildren

Check if node has children

### Parameters

-   `element`  

### Examples

```javascript
hasChildren(node('h3', 'hexlet')); // false
hasChildren(node('div', l(node('p', 'wow')))); // true
```

## children

Get node's children

### Parameters

-   `element`  

### Examples

```javascript
const children = l(node('p', 'wow'), node('p', 'hey'));
children(node('div', children)); // [('p', 'wow'), ('p', 'hey')]
```

## addChild

Add child to node

### Parameters

-   `element`  
-   `child`  

### Examples

```javascript
const node = node('div');
addChild(node, node('p', 'html tags'));
```

## toString

Convert list of nodes to string

### Parameters

-   `elements`  

### Examples

```javascript
const tags = make(node('p', 'text'), node('p', 'text2'));
toString(tags); // <p>text</p><p>text2</p>
```

## map

Map a list of nodes

### Parameters

-   `callbackFn`  
-   `elements`  

### Examples

```javascript
map(element => {
  if (is('h2', element)) {
    return node('h3', getValue(element));
  }
  return element;
}, dom);
```

## filter

Filter a list of nodes

### Parameters

-   `callbackFn`  
-   `elements`  

### Examples

```javascript
filter(element => is('h2', element), dom);
```

## reduce

Reduce a list of nodes

### Parameters

-   `callbackFn`  
-   `init`  
-   `elements`  

### Examples

```javascript
reduce((element, acc) => acc + 1, 0, dom);
```

[1]: #make

[2]: #parameters

[3]: #examples

[4]: #append

[5]: #parameters-1

[6]: #examples-1

[7]: #node

[8]: #parameters-2

[9]: #examples-2

[10]: #getname

[11]: #parameters-3

[12]: #examples-3

[13]: #getvalue

[14]: #parameters-4

[15]: #examples-4

[16]: #is

[17]: #parameters-5

[18]: #examples-5

[19]: #haschildren

[20]: #parameters-6

[21]: #examples-6

[22]: #children

[23]: #parameters-7

[24]: #examples-7

[25]: #addchild

[26]: #parameters-8

[27]: #examples-8

[28]: #tostring

[29]: #parameters-9

[30]: #examples-9

[31]: #map

[32]: #parameters-10

[33]: #examples-10

[34]: #filter

[35]: #parameters-11

[36]: #examples-11

[37]: #reduce

[38]: #parameters-12

[39]: #examples-12
